component-section
  div(slot='title') Alluris
  p
    a(href='https://alluris.han.nl/app/onderwijsproduct/Algemeen/I-ASD%20DT+2021') HBO-ICT SD DT Advanced Software Development
component-section
  div(slot='title') Werkafspraken
  component-section
    div(slot='title') Bijhouden materialen
    p
      | De leermaterialen en overige materialen (onder andere dit document) worden bijgehouden met Git op
      a(href='https://gitlab.com/han-aim/dt-sd-asd/materials') via GitLab.com
      | .
  component-section
    div(slot='title') Invulling Teams-lesteam
    p
      | Per course is er één kanaal vernoemd naar de coursecode.
      | Het kanaal ‘Algemeen’ heeft kanaaltoezicht aan (moderation), zodat docenten hier altijd aankondigingen kunnen doen, zonder ondergesneeuwd te raken tussen studentenberichtverkeer.
    p
      | De uitvoerend docent maakt
      |
      em geplande Teams-afspraken
      |
      | voor elke les binnen het Teams-kanaal voor die course, want:
    ol
      li zo hoef je bij aanvang van de les niet telkens een titel enzovoort op te geven,
      li noch de machtigingen pas ná aanvang van de les in te stellen.
      li
        | Het is ook handig voor studenten als ze een melding krijgen via Teams dat er echt les is.
  component-section
    div(slot='title') Rol coördinator(en)
    p
      | Doordat de module vooralsnog maar door één klas wordt gevolgd, is het docententeam klein.
      | Op dit moment ligt de coördinatie van alle courses en de module als geheel bij één persoon.
    p
      | Laat de volgende zaken altijd via de coördinator lopen, tenzij expliciet anders afgesproken binnen het team:
    ol
      li In- en uitschrijven voor de module en courses
      li Ontwikkeling en organisatie van schriftelijke tentamens
      li Beheer van de verscheidene digitale omgevingen (Teams, Ans, GitLab, enzovoort)
      li … (wordt nader aangevuld)
  component-section
    div(slot='title') Processen
    p Zo vroeg mogelijk, kan waarschijnlijk meteen:
    ol
      li
        p Opstellen/bijwerken onderwijsbeschrijving voor OER.
      li
        p Onderwijsschema uitwerken als spreadsheet.
      li
        p Onderwijsschema doorsturen naar Competentiebureau.
      li
        p Bewerkrechten in Alluris instellen.
      li
        p Onderwijsschema delen met betrokken, zoals Competentiebureau.
      li
        p Teams-lesteam maken.
      li
        p Teams-docententeam maken.
      li
        p
          | Onderwijsschema onder ‘Lesmaterialen’ uploaden naar Teams-lesteam.
          | Let op: bestanden die niet onder ‘Lesmaterialen’ geplaatst worden kunnen en zullen door studenten worden veranderd (automatisch, bij opening!).
      li
        p Ans-course maken
      li
        p Deeltentamens (her)ontwikkelen
    p Zodra klassen bekend zijn:
    ol
      li
        p Teams-lesteam vullen.
component-section
  div(slot='title') Terugkerende uitdagingen
  ol
    li Er is te weinig contacttijd om alle leerinhoud goed over te brengen in lessen.
    li
      | De dinsdaglessen (online) worden nauwelijks benut door de studenten, naarmate ze vraaggestuurder worden ingevuld.
    li De studenten werken vrij individualistisch.
    li De studenten doen nauwelijks aan voorbereiding, zelfs als we dat erin peperen.
    li
      | De niveauverschillen zijn groot: van studenten zonder ict-baan en/of die alleen data invoeren bij een klein bedrijfje op de Veluwe of oudere studenten die al sinds jaar en dag met één antieke niet-algemene programmeertaal werken, tot studenten met veel programmeervaardigheid en/of die al allerlei online cursussen op software development-gebied hebben afgerond.
    li
      | ASD is de pittigste, ‘laatste’ module.
      | Studenten die al veel ervaring hadden hebben tot nog toe weinig hoeven leren om goede resultaten te behalen, maar zien zich nu geconfronteerd met veel academischere courses waarvoor veel bestudeerd en gestudeerd moet worden.
component-section
  div(slot='title') ADP
  component-section
    div(slot='title') Verbeteracties bij 20/21
    p
      | De uitvoering 20/21 zijn ASD en ADP in het bijzonder grondig herontwikkeld op basis van de leermaterialen van VT APP die het jaar ervoor noodgedwongen ad hoc werden gebruikt.
    ol
      li
        p
          | De PowerPoint-presentaties zijn afgedankt. We zetten sterker in op online instructie.
      li
        p
          | Diverse, meest geschikte bronnen worden aangehaald, in plaats van één (papieren) studieboek.
      li
        p
          | Door de COVID-19-crisis hebben we het tij mee om niet meer de geforceerde verdeling 'dinsdag online, donderdag fysiek' aan te houden.
          | We passen flipped learning toe, waarbij de studenten de online asynchrone instructie voor de contactmomenten al bestuderen.
      li
        p
          | Tijdens de lessen zijn er veel meer opdrachten, waardoor studenten dan in ieder geval moeten samenwerken.
      li
        p
          | Het lesschema is vervangen door een Microsoft Planner-plan, zodat studenten deadlines enzovoort makkelijker managen en in hun agenda zetten.
      li
        p
          | In plaats van presentaties zijn de instructies vervat in instructievideo’s.
          | Presentaties zonder commentaar zijn voor veel studenten lastig zelfstandig te volgen.
          | Het is verleidelijk presentaties te lang te maken.
          | Bijvoorbeeld één presentatie voor een hele les.
          | Presentaties zijn, zeker met voice-over, lastig op allerlei apparaten te bestuderen, waardoor de student voor zelfstudie per se aan een computer moet zitten.
      li
        p
          | Geen (onnodig complexe) broncodefragmenten in beeld, vóór uitleg over de principes.
      li
        p
          | De programmeeroefeningen duren zo kort mogelijk.
          | Technische bijkomstigheden en overhead is zo veel mogelijk uitgebannen.
          | Zo wordt voorkomen dat de oefeningen een te hoge instapbarrière hebben en daardoor massaal worden overgeslagen.
      li
        p
          | Weinig aandacht voor grappige flauwekul om sfeer te maken, zoals het dansje dat sorteren uitbeeldt.
          | Dat leverde te veel uitleg op omtrent analogiëen.
          | De ontwikkelaar stelt zich telkens de vraag: is de analogie echt nodig, of begrijpen de studenten het waarom ook al met praktijkvoorbeelden?
      li
        p
          | Schriftelijke tentamens vervangen door digitale via Ans.
          | Formatieve toetsen ook in Ans.
      li
        p Mind maps in Miro per les.
  component-section
    div(slot='title') Verbeteracties bij 21/22
    ol
      li
        p Scheiding lesplannen en leerinhoud.
      li
        p
          | Meer contacttijd/toezicht, waarbinnen de studenten meer ruimte hebben voor zelf (samen)werken.
      li
        p Contacttijd ingevuld met vooral oefening en andere toepassingscontext.
      li
        p
          | Meer focus in leerinhoud: gedeelte over programmeertaalparadigma's en compilers weggelaten en vervangen door meer algoritmes en datastructuren.
      li
        p
          | Nauwkeurigere, fijnmazigere leeruitkomsten: ieder element, algoritme en datastructuur dat/die de student moet
          | beheersen apart.
      li
        p
          | Onderwijsschema weer als spreadsheet ontwikkeld.
          | Dit bleek overzichtelijker dan Planner voor de bedoelde gebruikers, en liet datumberekeningen toe.
      li
        p
          | Vereenvoudiging taalgebruik: onderwijskundige begrippen als ‘synchroon leren’ achterwege gelaten.
      li
        p Grote opdrachten aan het einde opdelen in kleine doorlopende opdrachten.
      li
        p
          | Verbeterde website met hogere gebruikersvriendelijkheid (navigeerbaarheid, responsiveness, enzovoort).
  component-section
    div(slot='title') Toekomstige verbeterpunten
    ol
      li
        p
          | De leermaterialen zijn grotendeels verzameld van externe bronnen en niet zelf ontwikkeld.
          | Dit maakt de beschikbaarheid hiervan onzeker.
      li
        p Leerarrangementen faciliteren met keuzeonderdelen.
      li
        p Communityvorming in klassen bevorderen.
      li
        p
          | Bijna alle bronnen gaan uit van hogere ingangsvereisten dan realistisch.
          | Vooral wat betreft bepaalde wiskundige basis, zoals bewijzen met inductie, discrete wiskunde, enzovoort.
          | Deze ingangsvereisten worden niet behaald binnen de opleiding HBO-ICT profiel SD.
          | Zonder deze basis blijft de leerinhoud erg oppervlakkig.
          | De studiebelasting in uren is daardoor ook erg beperkt.
      li
        p
          | De Waarom en Toepassingen-secties zijn conventioneel: ze noemen het
          |
          em absolute
          |
          | belang en absolute gebruik.
          | Interessanter voor studenten is om te leren hoe
          |
          em relatief
          |
          | belangrijk of vaak gebruikt de concepten zijn.
      li
        p
          | De videobronnen bevatten soms meer informatie dan nodig voor de course.
          | Neem eigen video’s op als daar budget voor is, of kies een leergang waarin met zowel video- als tekstmaterialen.
          | Bijvoorbeeld
          a(href='https://learning.oreilly.com/videos/algorithms-in-motion/10000MNLV201715/?autoplay=false') Algorithms in Motion
          | .
      li
        p Verschilpunten ADP en VT APP: positie van ADP-coördinator
        ol
          li
            p
              | De leermaterialen zijn zo dynamisch mogelijk.
              | Algoritmes zijn bij uitstek geschikt voor animaties en dergelijke.
          li
            p
              | De bronnen zijn zo veel mogelijk open leermaterialen.
              | Op deze manier hoeven studenten geen kosten en tijdverlies te incasseren aan het begin van de lesweken, voor de aanschaf van leermaterialen.
          li
            p
              | Veelvormigheid door variatie in programmeertalen.
              | Hierdoor worden de creativiteit en het herkennen van de rode draad gestimuleerd.
          li
            p
              | De aangehaalde bronnen zijn divers, onder andere studieboeken en instructievideo's.
              | Van de inhoud van de bronnen wordt bewust geen samenvatting gegeven, omdat anders de verleiding te groot is bron zelf niet te bestuderen.
              | Verder is samenvatten zeer tijdrovend en ingewikkeld om
              |
              em goed
              |
              | te doen.
              | Een mogelijk nadeel is: door deze benadering is de ervaring van studenten wat anders: geen reader die zij van A tot Z zelfstandig horen te bestuderen, noch een vast studieboek dat zij op diezelfde manier horen te gebruiken.
              | Het is belangrijk dat de docent en student bewust omgaat met deze gevoelsmatig minder gestructureerde benadering van leren.
              | Voor studenten die worstelen met de leerinhoud en in het bijzonder deze structuur, is het aan te bevelen dat zij zelf in overleg met hun docent een studieboek of andere bron bemachtigen waarin de leerinhoud integraal terugkomt, ter aanvulling.
              | Hiervoor is dan wel aanzienlijk meer studietijd nodig.
              | Een voordeel is daarentegen dat studenten meerdere bronnen, met elk hun eigen stijl en diepgang, leren raadplegen.
              | De enthousiaste student krijgt daardoor een beter beeld van het vakgebied en zijn voorkeur voor bepaalde bronnen, die hij of zij eventueel zelf nog kan aanschaffen.
          li
            p AVL-bomen vervangen door belangrijkere zoekbomen.
          li
            p Frequent toetsen en digitaal tentamineren.
          li
            p Leeruitkomsten over programmeertaaltheorie en compilers afsplitsen naar minor.
component-section
  div(slot='title') Logistiek
  p
    | Maak vóór de les templates en boards in Miro enzovoort, in plaats van alles handmatig te laten doen door de studenten, om zo tijd te besparen.
  component-section
    div(slot='title') Recht op extra tijd voor schriftelijke tentamens
    p Deze informatie is terug te vinden in Ans bij de eigenschappen van de klas(sen).
component-section
  div(slot='title') Didactiek
  component-section
    div(slot='title') Feedbackmomenten
    p
      | Gelast regelmatig feedbackmomenten in voor de studenten.
      | Zeker als er veel veranderd is ten opzichte van hun vorige module.
      | Zo kunnen we zorgen herkennen en soms oplossen vóór de formele evaluatie.
  component-section
    div(slot='title') Tips
    p
      | 💡
      |
      strong Tip
      | : gebruik
      |
      a(href='https://docs.microsoft.com/en-us/visualstudio/liveshare/quickstart/share') Visual Studio Code Live Share
      |
      | om een
      |
      em pair programming
      | -sessie efficiënt te maken.
component-section
  div(slot='title') Bronnen
  #bibliography
